Debian Bug report logs - #688020
libsnack2: same files is non-free

version graph

Package: libsnack2; Maintainer for libsnack2 is Sergei Golovan <sgolovan@debian.org>; Source for libsnack2 is src:snack.

Reported by: mejiko <kame55-itasenpara123@y2.dion.ne.jp>

Date: Tue, 18 Sep 2012 09:57:01 UTC

Severity: normal

Fixed in version snack/2.2.10.20090623-dfsg-1

Done: Sergei Golovan <sgolovan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sergei Golovan <sgolovan@debian.org>:
Bug#688020; Package libsnack2. (Tue, 18 Sep 2012 09:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to mejiko <kame55-itasenpara123@y2.dion.ne.jp>:
New Bug report received and forwarded. Copy sent to Sergei Golovan <sgolovan@debian.org>. (Tue, 18 Sep 2012 09:57:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: mejiko <kame55-itasenpara123@y2.dion.ne.jp>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libsnack2: same files is non-free
Date: Tue, 18 Sep 2012 18:53:34 +0900
Package: libsnack2
Severity: normal

Hello.

Snack source packeage included non-free files.

Non-free file List;

generic/Soundfile.c: No License infomation.
generic/ffa.c: Non-distribute
generic/jkFormatMP3.c: commercial use restriction
generic/jkFormatMP3.h: commercial use restriction
generic/shape.c: No License infomation.
generic/snackDecls.h: "license.terms" file is not found. (No License infomation)
generic/snackStubInit.c: "license.terms" file is not found. (No License infomation)
generic/snackStubLib.c: "license.terms" file is not found. (No License infomation)
mac/snack.mcp.sit.hqx: Binary Blob. No source.

Suggests:

1. Remove non-free files. (I'm not tested)
2. Relicense non-free license to DFSG-Free license.(E.g GNU GPL, BSD License, etc...) NOTE! This action is very hard. (You *MUST* obtain permission to copyright holders)
3. Move to non-free. (This packeage depending any packeages: Move to contirb)
4. Remove to archive.


-- System Information:
Debian Release: 6.0.5
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686-bigmem (SMP w/2 CPU cores)
Locale: LANG=ja_JP.UTF-8, LC_CTYPE=ja_JP.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 27 Jul 2013 20:06:04 GMT) Full text and rfc822 format available.

Reply sent to Sergei Golovan <sgolovan@debian.org>:
You have taken responsibility. (Wed, 07 Aug 2013 22:03:25 GMT) Full text and rfc822 format available.

Notification sent to mejiko <kame55-itasenpara123@y2.dion.ne.jp>:
Bug acknowledged by developer. (Wed, 07 Aug 2013 22:03:25 GMT) Full text and rfc822 format available.

Message #12 received at 688020-close@bugs.debian.org (full text, mbox):

From: Sergei Golovan <sgolovan@debian.org>
To: 688020-close@bugs.debian.org
Subject: Bug#688020: fixed in snack 2.2.10.20090623-dfsg-1
Date: Wed, 07 Aug 2013 22:00:06 +0000
Source: snack
Source-Version: 2.2.10.20090623-dfsg-1

We believe that the bug you reported is fixed in the latest version of
snack, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 688020@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sergei Golovan <sgolovan@debian.org> (supplier of updated snack package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 27 Jul 2013 20:49:27 +0400
Source: snack
Binary: tcl-snack tcl-snack-alsa python-tksnack tcl-snack-dev tcl-snack-doc
Architecture: source amd64 all
Version: 2.2.10.20090623-dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Sergei Golovan <sgolovan@debian.org>
Changed-By: Sergei Golovan <sgolovan@debian.org>
Description: 
 python-tksnack - Sound extension to Tcl/Tk and Python/Tkinter - Python library
 tcl-snack  - Sound extension to Tcl/Tk and Python/Tkinter - Tcl/Tk library
 tcl-snack-alsa - Sound extension to Tcl/Tk and Python/Tkinter - Tcl/Tk library
 tcl-snack-dev - Sound extension to Tcl/Tk and Python/Tkinter - development files
 tcl-snack-doc - Sound extension to Tcl/Tk and Python/Tkinter - documentation
Closes: 688020
Changes: 
 snack (2.2.10.20090623-dfsg-1) unstable; urgency=low
 .
   * Acknowledge NMU and include patch by Michael Karcher to fix CVE-2012-6303
     to the main package development.
   * Switched to the 3.0 (quilt) source package format.
   * Renamed the binary packages to tcl-snack, tcl-snack-dev, tcl-snack-doc
     to comply the Debian Tcl/Tk policy.
   * Removed non-free source files jkFormatMP3.c and jkFormatMP3.h, and
     binary without source snack.mcp.sit.hqx. Also, documented the license
     for ffa.c, shape.c, snackDecls.h, snackStubInit.c, snackStubLib.c and
     a few other files in debian/copyright (closes: #688020).
   * Switched to an alternative upstream with reimplemented MP3 support via
     libmpg123. This helps to retain MP3 support while dropping the non-free
     source files jkFormatMP3.c and jkFormatMP3.h which implemented MP3
     support internally. Note that after that one has to run
     [package require snackmpg] to enable MP3.
   * Removed unneeded headers from the tcl-snack-dev binary package.
   * Bumped debhelper compatibility version to 8.
   * Bumped standards version to 3.9.4.
Checksums-Sha1: 
 b2f2bb7aade3d6fb9889cc967dd1a69783a143ec 1491 snack_2.2.10.20090623-dfsg-1.dsc
 5264d485e415671374ab1a6d0b79752f8d78624c 406616 snack_2.2.10.20090623-dfsg.orig.tar.xz
 1ff3180e1b0f9e3cf98193bcb7de849a019ecea9 14013 snack_2.2.10.20090623-dfsg-1.debian.tar.gz
 8e53ae708f89870292a210cd062ebba01fb6215c 217274 tcl-snack_2.2.10.20090623-dfsg-1_amd64.deb
 f4e5204b8ad87d96a45303acc8d8bc4d5007b224 38900 tcl-snack-dev_2.2.10.20090623-dfsg-1_amd64.deb
 27a05b4deb049334900a43ec8da47f18a5f9e56f 214462 tcl-snack-alsa_2.2.10.20090623-dfsg-1_amd64.deb
 1ddd77cc273a8e5054fd361c191d153421aa4717 34344 python-tksnack_2.2.10.20090623-dfsg-1_all.deb
 5a9a86e645c99765011a2bf0241c84a2a0c0276d 163504 tcl-snack-doc_2.2.10.20090623-dfsg-1_all.deb
Checksums-Sha256: 
 4dc9b7e68ebe0979c55a57545ddcacead8eeb7069c854e5a971d13b2cc33e427 1491 snack_2.2.10.20090623-dfsg-1.dsc
 9b77856e2095a526f9b3fb95e7e3ae24c63a2bca341fa98d5a6b8fd716b72ba7 406616 snack_2.2.10.20090623-dfsg.orig.tar.xz
 e0d2a6a7807a16925700403000ab03a78108a54bc5b592cf26d6161774692189 14013 snack_2.2.10.20090623-dfsg-1.debian.tar.gz
 6434fbe960ea896d85fae49e019d827e48b7906ca18057bdc3230a2841a50d37 217274 tcl-snack_2.2.10.20090623-dfsg-1_amd64.deb
 83103efaab71570d323ecdbd6b5103f08e37de52f85eb4c68f5ad0d90c600bf6 38900 tcl-snack-dev_2.2.10.20090623-dfsg-1_amd64.deb
 0cda120dba7a8815fbec7f1d1f33a2376acbd55965b86c6313aca9ff8fbcfe76 214462 tcl-snack-alsa_2.2.10.20090623-dfsg-1_amd64.deb
 cebb412dec90999198070e199ef358d6e119112b884c6a0e878205e5f5193fc7 34344 python-tksnack_2.2.10.20090623-dfsg-1_all.deb
 9f1e5b328a81b195927a18763986313a5e2a47b4f3db13aa8badf570e6999ad7 163504 tcl-snack-doc_2.2.10.20090623-dfsg-1_all.deb
Files: 
 821068ecded94951024d544bf1c833d2 1491 sound optional snack_2.2.10.20090623-dfsg-1.dsc
 85d8549603ba09316d5b5773f4847af7 406616 sound optional snack_2.2.10.20090623-dfsg.orig.tar.xz
 a6743d35ee00a0aca6eb410039aa94ba 14013 sound optional snack_2.2.10.20090623-dfsg-1.debian.tar.gz
 ac8d85b45ad6b3e467b43d4dddb3f4e9 217274 libs optional tcl-snack_2.2.10.20090623-dfsg-1_amd64.deb
 2519589065d91e95c03babba71fede71 38900 libdevel optional tcl-snack-dev_2.2.10.20090623-dfsg-1_amd64.deb
 43b98e60bd1e541118b538b9b422a305 214462 libs optional tcl-snack-alsa_2.2.10.20090623-dfsg-1_amd64.deb
 90beb61262437a84d87509dee838bf2b 34344 python optional python-tksnack_2.2.10.20090623-dfsg-1_all.deb
 e5953fc145d06906c0dcf4b14c1450fa 163504 doc optional tcl-snack-doc_2.2.10.20090623-dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFR9ADmIcdH02pGEFIRAiTPAKCDxnnZedRw/bVjJHOBZt5hQbLQZgCggdH/
YL+iT9JN5z0ePti9ybslQuk=
=hP7h
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 27 Oct 2013 07:27:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:11:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.